//登录
class Login {
  bool success;
  int code;
  String msg;
  LoginMap data;

  Login({
    this.success,
    this.code,
    this.msg,
    this.data
  });

  factory Login.fromJson(Map < String, dynamic > json) {
    LoginMap tempData = LoginMap.fromJson(json['data']);
    return Login(
      success: json['success'],
      code: json['code'],
      msg: json['msg'],
      data: tempData
    );
  }
}
class LoginMap {
  String avatarUrl;
  String nickName;
  int roleType;
  String userId;
  int status;
  String token;

  LoginMap({
    this.userId,
    this.avatarUrl,
    this.nickName,
    this.roleType,
    this.status,
    this.token
  });

  factory LoginMap.fromJson(Map < String, dynamic > json) {
    return LoginMap(
      avatarUrl: json['avatarUrl'],
      nickName: json['nickName'],
      roleType: json['roleType'],
      userId: json['userId'],
      status: json['status'],
      token: json['token'],

    );
  }
}

//接单页列表
class OrderListObj {
  bool success;
  int code;
  String msg;
  OrderListData data;

  OrderListObj({
    this.success,
    this.code,
    this.msg,
    this.data
  });

  factory OrderListObj.fromJson(Map < String, dynamic > json) {
    return OrderListObj(
      success: json['success'],
      code: json['code'],
      msg: json['msg'],
      data: OrderListData.fromJson(json['data'])
    );
  }
}
class OrderListData {
  bool hasNextPage;
  List < OrderList > items;
  int limit;
  int page;
  int totalCount;
  int totalPage;

  OrderListData({
    this.hasNextPage,
    this.items,
    this.limit,
    this.page,
    this.totalCount,
    this.totalPage
  });

  factory OrderListData.fromJson(Map < String, dynamic > json) {
    List list = json['items'] as List;
    List < OrderList > tempOrderList = list.map((i) => OrderList.fromJson(i)).toList();
    return OrderListData(
      hasNextPage: json['hasNextPage'],
      items: tempOrderList,
      limit: json['limit'],
      page: json['page'],
      totalCount: json['totalCount'],
      totalPage: json['totalPage']
    );
  }
}
class OrderList {
  String orderNo;
  int createTime;
  String goods;
  int goodsQuantity;
  String receiptCompanyAddress;
  String receiptCompanyName;
  String receiptCompanyPhone;
  String sendCompanyAddress;
  String sendCompanyName;
  String sendCompanyPhone;
  OrderList({
    this.orderNo,
    this.createTime,
    this.goods,
    this.goodsQuantity,
    this.receiptCompanyAddress,
    this.receiptCompanyName,
    this.receiptCompanyPhone,
    this.sendCompanyAddress,
    this.sendCompanyName,
    this.sendCompanyPhone
  });

  factory OrderList.fromJson(Map < String, dynamic > json) {
    return OrderList(
      orderNo: json['orderNo'],
      createTime: json['createTime'],
      goods: json['goods'],
      goodsQuantity: json['goodsQuantity'],
      receiptCompanyAddress: json['receiptCompanyAddress'],
      receiptCompanyName: json['receiptCompanyName'],
      receiptCompanyPhone: json['receiptCompanyPhone'],
      sendCompanyAddress: json['sendCompanyAddress'],
      sendCompanyName: json['sendCompanyName'],
      sendCompanyPhone: json['sendCompanyPhone']
    );
  }
}

//获取站点
class Station {
  bool success;
  int code;
  String msg;
  List < StationList > data;

  Station({
    this.success,
    this.code,
    this.msg,
    this.data
  });

  factory Station.fromJson(Map < String, dynamic > json) {
    List list = json['data'] as List;
    print(list.toString());
    List < StationList > tempList = list.map((i) => StationList.fromJson(i)).toList();
    return Station(
      success: json['success'],
      code: json['code'],
      msg: json['msg'],
      data: tempList
    );
  }
}

class StationList {
  String code;
  int id;
  String name;
  int stationStatus;
  int status;

  StationList({
    this.code,
    this.id,
    this.name,
    this.stationStatus,
    this.status
  });

  factory StationList.fromJson(Map < String, dynamic > json) {
    return StationList(
      code: json['code'],
      id: json['id'],
      name: json['name'],
      stationStatus: json['stationStatus'],
      status: json['status']
    );
  }
}

//站点线路
class StationLine {
  bool success;
  int code;
  String msg;
  List < LineObj > data;

  StationLine({
    this.success,
    this.code,
    this.msg,
    this.data
  });

  factory StationLine.fromJson(Map < String, dynamic > json) {
    var list = json['data'] as List;
    List < LineObj > tempList = list.map((i) => LineObj.fromJson(i)).toList();

    return StationLine(
      success: json['success'],
      code: json['code'],
      msg: json['msg'],
      data: tempList
    );
  }
}

class LineObj {
  String code;
  int id;
  String name;

  LineObj({
    this.code,
    this.name,
    this.id
  });

  factory LineObj.fromJson(Map < String, dynamic > json) {
    return LineObj(
      code: json['code'],
      id: json['id'],
      name: json['name']
    );
  }
}

//修改密码
class UpdataPasswrod {
  bool success;
  int code;
  String msg;
  String data;

  UpdataPasswrod({
    this.success,
    this.code,
    this.msg,
    this.data
  });

  factory UpdataPasswrod.fromJson(Map < String, dynamic > json) {
    return UpdataPasswrod(
      success: json['success'],
      code: json['code'],
      msg: json['msg'],
      data: json['data']
    );
  }
}